package com.gxzc.zen.logging.model

import java.io.Serializable
import java.util.*

/**
 * 请求日志 model
 * @author NorthLan
 * @date 2018/8/23
 * @url https://noahlan.com
 */
data class LogRequest(val pid: Int, val operator: String) : Serializable {
    companion object {
        private const val serialVersionUID = 10000000000000002L
    }

    /**
     * 请求URI
     */
    var requestUri: String? = null

    /**
     * 请求方法
     */
    var requestMethod: String? = null

    /**
     * 请求携带参数
     */
    var requestParam: String? = null

    /**
     * 请求内容体
     */
    var requestBody: String? = null

    /**
     * 操作时间
     */
    var operTime: Date = Date()

    /**
     * 客户端host
     */
    var host: String? = null

    /**
     * 客户端用户代理
     */
    var userAgent: String? = null

    /**
     * 备注
     */
    var remark: String? = null
}